Loading...
Searching...
No Matches
dolfin::MeshSmoothing Class Reference

This class implements various mesh smoothing algorithms. More...

`#include <MeshSmoothing.h>`

## Static Public Member Functions

static void | smooth (Mesh &mesh, std::size_t num_iterations=1)
| Smooth internal vertices of mesh by local averaging.
static void | smooth_boundary (Mesh &mesh, std::size_t num_iterations=1, bool harmonic_smoothing=true)
static void | snap_boundary (Mesh &mesh, const SubDomain &sub_domain, bool harmonic_smoothing=true)

## Detailed Description

This class implements various mesh smoothing algorithms.

## Member Function Documentation

## smooth_boundary()

void MeshSmoothing::smooth_boundary | ( | Mesh & | mesh,
|  | std::size_t | num_iterations = 1,
|  | bool | harmonic_smoothing = true )

static

Smooth boundary vertices of mesh by local averaging and (optionally) use harmonic smoothing on interior vertices

## snap_boundary()

void MeshSmoothing::snap_boundary | ( | Mesh & | mesh,
|  | const SubDomain & | sub_domain,
|  | bool | harmonic_smoothing = true )

static

Snap boundary vertices of mesh to match given sub domain and (optionally) use harmonic smoothing on interior vertices

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshSmoothing.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshSmoothing.cpp